Package com.independentsoft.office.odf.styles

# Class Border

java.lang.Object
com.independentsoft.office.odf.styles.Border

public class Border extends Object
Represents a percentage value that is used to scale a border area which is filled by a solid color.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Border()`
  Initializes a new instance of the Border class.
  `Border​(Size width, BorderStyle style, String color)`
  Initializes a new instance of the Border class.
  `Border​(String border)`
  Initializes a new instance of the Border class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Border`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getColor()`
  Gets the color of the border.
  `BorderStyle`
  `getStyle()`
  Gets the style of the border.
  `Size`
  `getWidth()`
  Gets the width of the border.
  `void`
  `setColor​(String color)`
  Sets the color of the border.
  `void`
  `setStyle​(BorderStyle style)`
  Sets the style of the border.
  `void`
  `setWidth​(Size width)`
  Sets the width of the border.
  `String`
  `toString()`
  Converts the value of the current Border object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Border

    public Border()
    Initializes a new instance of the Border class.

  - ### Border

    public Border​(String border)
    Initializes a new instance of the Border class.
    Parameters:
      `border` - the border

  - ### Border

    public Border​(Size width, BorderStyle style, String color)
    Initializes a new instance of the Border class.
    Parameters:
      `width` - the width
      `style` - the style
      `color` - the color

- ## Method Details

  - ### clone

    public Border clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Border object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getWidth

    public Size getWidth()
    Gets the width of the border.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width of the border.
    Parameters:
      `width` - the new width

  - ### getStyle

    public BorderStyle getStyle()
    Gets the style of the border.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(BorderStyle style)
    Sets the style of the border.
    Parameters:
      `style` - the new style

  - ### getColor

    public String getColor()
    Gets the color of the border.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color of the border.
    Parameters:
      `color` - the new color